Bug 1262174 - [abrt] libcdio-paranoia: cd-paranoia killed by SIGSEGV
[abrt] libcdio-paranoia: cd-paranoia killed by SIGSEGV
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libcdio-paranoia (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adrian Reber
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1e87a1ee13d04950f41c5e16b78...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-10 23:35 EDT by Jonathan Graham
Modified: 2016-06-13 08:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-13 08:15:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.85 KB, text/plain)
2015-09-10 23:35 EDT, Jonathan Graham
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-10 23:35 EDT, Jonathan Graham
no flags Details
File: core_backtrace (263 bytes, text/plain)
2015-09-10 23:35 EDT, Jonathan Graham
no flags Details
File: dso_list (778 bytes, text/plain)
2015-09-10 23:35 EDT, Jonathan Graham
no flags Details
File: environ (4.80 KB, text/plain)
2015-09-10 23:35 EDT, Jonathan Graham
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-10 23:35 EDT, Jonathan Graham
no flags Details
File: maps (4.14 KB, text/plain)
2015-09-10 23:35 EDT, Jonathan Graham
no flags Details
File: mountinfo (3.42 KB, text/plain)
2015-09-10 23:35 EDT, Jonathan Graham
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-10 23:35 EDT, Jonathan Graham
no flags Details
File: open_fds (252 bytes, text/plain)
2015-09-10 23:35 EDT, Jonathan Graham
no flags Details
File: proc_pid_status (1013 bytes, text/plain)
2015-09-10 23:35 EDT, Jonathan Graham
no flags Details
File: var_log_messages (301 bytes, text/plain)
2015-09-10 23:35 EDT, Jonathan Graham
no flags Details

  None (edit)
Description Jonathan Graham 2015-09-10 23:35:11 EDT
Description of problem:
Attempting to read from a DVDRW drive that is not cooperating.  Suspect hardware issue led to segfault.

Version-Release number of selected component:
libcdio-paranoia-10.2+0.93+1-1.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 3
cmdline:        cd-paranoia -A
executable:     /usr/bin/cd-paranoia
global_pid:     4153
kernel:         4.1.3-201.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
[New LWP 4153]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `cd-paranoia -A'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x000000ef00000000 in ?? ()

Thread 1 (Thread 0x7fa5ec8b4700 (LWP 4153)):
#0  0x000000ef00000000 in ?? ()
No symbol table info available.
#1  0x0000003a74a02942 in verify_read_command (d=0x1409170) at cddap_interface.c:271
        i = <optimized out>
        buff = 0x1409530
        audioflag = 0
        i_test_flags = 245
#2  cddap_init_drive (d=d@entry=0x1409170) at cddap_interface.c:406
        ret = <optimized out>
#3  0x0000003a74a02c18 in cdio_cddap_open (d=0x1409170) at interface.c:104
        ret = <optimized out>
#4  0x0000000000402b7a in main (argc=2, argv=0x7ffc558930d8) at cd-paranoia.c:1022
        toc_bias = 0
        force_cdrom_endian = <optimized out>
        output_type = 1
        output_endian = 0
        query_only = 1
        batch = 0
        run_cache_test = 1
        force_cdrom_overlap = -1
        force_cdrom_sectors = -1
        force_cdrom_speed = 0
        sample_offset = 0
        test_flags = 0
        toc_offset = 0
        max_retries = 20
        logfile_name = <optimized out>
        reportfile_name = 0x1406010 "cdparanoia.log"
        paranoia_mode = 223
        out = <optimized out>
        c = <optimized out>
        long_option_index = 0
From                To                  Syms Read   Shared Object Library
                                        No          linux-vdso.so.1
0x0000003a73a078f0  0x0000003a73a1986f  Yes         /lib64/libcdio.so.16
0x0000003a74a01ab0  0x0000003a74a058c3  Yes         /lib64/libcdio_cdda.so.2
0x0000003a746011d0  0x0000003a74605838  Yes         /lib64/libcdio_paranoia.so.2
0x0000003a5f802140  0x0000003a5f804fcf  Yes         /lib64/librt.so.1
0x0000003a5d805550  0x0000003a5d87723a  Yes         /lib64/libm.so.6
0x0000003a5d01f4d0  0x0000003a5d16d474  Yes         /lib64/libc.so.6
0x0000003a5cc05a00  0x0000003a5cc121b1  Yes         /lib64/libpthread.so.0
0x0000003a5c800ad0  0x0000003a5c81b020  Yes         /lib64/ld-linux-x86-64.so.2
$1 = 0x0
rax            0x0	0
rbx            0x1409170	21008752
rcx            0x1409530	21009712
rdx            0x1409530	21009712
rsi            0x1	1
rdi            0x1409170	21008752
rbp            0x0	0x0
rsp            0x7ffc55890588	0x7ffc55890588
r8             0x3a5d3bad01	250672295169
r9             0x3a5d3bab78	250672294776
r10            0x3a5d3bab78	250672294776
r11            0x1407f40	21004096
r12            0x1409530	21009712
r13            0x1	1
r14            0xf5	245
r15            0x7ffc558930e8	140721743540456
rip            0xef00000000	0xef00000000
eflags         0x10206	[ PF IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
== EXPLOITABLE ==
Comment 1 Jonathan Graham 2015-09-10 23:35:14 EDT
Created attachment 1072422 [details]
File: backtrace
Comment 2 Jonathan Graham 2015-09-10 23:35:15 EDT
Created attachment 1072423 [details]
File: cgroup
Comment 3 Jonathan Graham 2015-09-10 23:35:15 EDT
Created attachment 1072424 [details]
File: core_backtrace
Comment 4 Jonathan Graham 2015-09-10 23:35:16 EDT
Created attachment 1072425 [details]
File: dso_list
Comment 5 Jonathan Graham 2015-09-10 23:35:17 EDT
Created attachment 1072426 [details]
File: environ
Comment 6 Jonathan Graham 2015-09-10 23:35:18 EDT
Created attachment 1072427 [details]
File: limits
Comment 7 Jonathan Graham 2015-09-10 23:35:19 EDT
Created attachment 1072428 [details]
File: maps
Comment 8 Jonathan Graham 2015-09-10 23:35:19 EDT
Created attachment 1072429 [details]
File: mountinfo
Comment 9 Jonathan Graham 2015-09-10 23:35:20 EDT
Created attachment 1072430 [details]
File: namespaces
Comment 10 Jonathan Graham 2015-09-10 23:35:21 EDT
Created attachment 1072431 [details]
File: open_fds
Comment 11 Jonathan Graham 2015-09-10 23:35:22 EDT
Created attachment 1072432 [details]
File: proc_pid_status
Comment 12 Jonathan Graham 2015-09-10 23:35:22 EDT
Created attachment 1072433 [details]
File: var_log_messages
Comment 13 Adrian Reber 2015-09-11 11:07:44 EDT
Thanks for the bug report. Can you reproduce this segfault?

Can you post some information about your drive? Manufacturer, type.
Comment 14 Jonathan Graham 2016-06-11 00:23:05 EDT
I can confirm that this problem went away after I successfully removed and reinstalled the drive on my laptop.  The connector appears to have been loose, and the intermittent connection led to this fault occurring during use.
Comment 15 Adrian Reber 2016-06-13 08:15:46 EDT
Thanks.

Note You need to log in before you can comment on or make changes to this bug.